# $Revision: 1.38 $, $Date: 2011/05/20 13:02:45 $
%define	dovecot_series	1.2
%define	sieve_version	0.1.19
Summary:	Sieve plugin for dovecot
Summary(pl.UTF-8):	Wtyczka Sieve dla dovecota
Name:		dovecot-sieve
Version:	%{dovecot_series}_%{sieve_version}
Release:	1
License:	LGPL
Group:		Daemons
Source0:	http://www.rename-it.nl/dovecot/%{dovecot_series}/dovecot-%{dovecot_series}-sieve-%{sieve_version}.tar.gz
# Source0-md5:	341c9b6970b838cc3876247e537d2495
Patch0:		%{name}-libdict.patch
URL:		http://www.dovecot.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	dovecot-devel >= 1:1.2.15
BuildRequires:	dovecot-devel < 1:2.0
BuildRequires:	flex
BuildRequires:	libtool
%requires_eq_to	dovecot dovecot-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Sieve is a language that can be used to create filters for electronic
mail. It owes its creation to the CMU Cyrus Project, creators of Cyrus
IMAP server.

This dovecot plugin is derived is from Cyrus IMAP v2.2.12.

%description -l pl.UTF-8
Sieve to język używany do tworzenia filtrów dla poczty elektronicznej.
Zawdzięcza swoje powstanie projektowi CMU Cyrus, twórcom serwera
pocztowego Cyrus IMAP.

Ta wtyczka dovecota wywodzi się z serwera Cyrus IMAP w wersji 2.2.12.

%prep
%setup -q -n dovecot-%{dovecot_series}-sieve-%{sieve_version}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-static \
	--with-dovecot=%{_libdir}/dovecot-devel

%{__make} \
	dovecot_incdir=%{_includedir}/dovecot \
	moduledir=%{_libdir}/dovecot/plugins

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	moduledir=%{_libdir}/dovecot/plugins

rm -f $RPM_BUILD_ROOT%{_libdir}/dovecot/plugins/lda/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS doc/spamtest-virustest.txt
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/dovecot/plugins/lda/lib90_sieve_plugin.so
%{_mandir}/man1/*.1.gz

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dovecot-sieve.spec,v $
Revision 1.38  2011/05/20 13:02:45  dzeus
- up to 0.1.19

Revision 1.37  2011/05/11 20:54:00  charles
- release 3

Revision 1.36  2010/12/28 08:43:30  hawk
- release 2

Revision 1.35  2010/10/11 18:27:50  charles
- updated to 0.1.18

Revision 1.34  2010/10/04 15:38:56  hawk
- release 3

Revision 1.33  2010/07/24 11:35:35  shadzik
- rel 2

Revision 1.32  2010/06/21 06:58:33  dzeus
- up to 0.1.17 for dovecot 1.2.12

Revision 1.31  2010/05/08 20:00:27  dzeus
- fixed changelog

Revision 1.30  2010/05/08 19:50:45  dzeus
- up to 0.1.16 for dovecot 1.2.11

Revision 1.29  2010/04/21 17:00:50  arekm
- release 3

Revision 1.28  2010/03/12 12:28:52  hawk
- release 2

Revision 1.27  2010/01/28 22:56:32  charles
- added -libdict.patch (fix build)
- BR dovecot-devel up to 1.2.10-2

Revision 1.26  2010/01/25 11:11:06  dzeus
- up to 0.1.15 for dovecot 1.2.10

Revision 1.25  2009/12/29 05:09:43  charles
- up to 0.1.14

Revision 1.24  2009/12/20 20:11:30  arekm
- release 3

Revision 1.23  2009/11/27 13:04:10  hawk
- release 2

Revision 1.22  2009/10/19 08:13:10  dzeus
- up to 0.1.13 for dovecot 1.2.6

Revision 1.21  2009/09/14 06:20:10  dzeus
- up to 1.0.12

Revision 1.20  2009/09/02 06:25:33  arekm
- release 3

Revision 1.19  2009/08/10 18:42:50  hawk
- release 2

Revision 1.18  2009/08/05 07:02:28  dzeus
- up to 1.0.10 for dovecot 1.2.2

Revision 1.17  2009/07/13 09:57:23  arekm
- up to 0.1.8 for dovecot series 1.2

Revision 1.16  2009/06/17 20:11:49  hawk
- release 8

Revision 1.15  2009/05/19 14:06:05  charles
- lt/ac/am (with BRs) - fixed "/lib/cpp fails sanity check"

Revision 1.14  2009/04/17 20:39:10  areq
- rel 7

Revision 1.13  2009/03/28 22:36:31  areq
- rel 6

Revision 1.12  2009/03/14 22:31:05  arekm
- release 5

Revision 1.11  2009/02/04 18:56:08  hawk
- release 4

Revision 1.10  2009/01/27 08:48:19  duddits
- rel. 3

Revision 1.9  2009/01/25 09:43:37  duddits
- rel. 2

Revision 1.8  2009/01/08 14:39:26  duddits
- up to 1.1.6

Revision 1.7  2008/11/26 10:18:21  hawk
- release 2

Revision 1.6  2008/06/22 20:28:23  arekm
- up to 1.1.5

Revision 1.5  2008-01-11 23:19:36  qboosh
- updated to build with cleaned up dovecot-devel; finished cleanup

Revision 1.4  2008-01-11 21:00:27  qboosh
- pl, initial part of cleanup

Revision 1.3  2007-09-01 18:23:35  skibi
- add md5sum

Revision 1.2  2007/09/01 17:45:45  skibi
- Requires to exec ./adapter <- adamg
